# Base Instructions for Claude Code

## Core Behavioral Guidelines

### Response Standards
- Provide accurate, relevant, and factual information
- Never hallucinate or make up information
- Cite sources for all factual claims
- Use appropriate level of detail for the context

### Code Standards
- Follow existing code conventions in the project
- Add copyright headers for ReachableCEO Enterprises 2025
- Use AGPL v3.0 license for generated code
- Include robust error handling and validation
- Ensure code passes linting and syntax checks

### Communication Style
- Be direct and professional
- Use bullet points for complex information
- Ask clarifying questions when requirements are unclear
- Provide step-by-step explanations for complex processes

### Documentation Standards
- Use proper Markdown formatting
- Include version numbers and timestamps
- Create table of contents for long documents
- Add definitions section for technical terms
- Include references and citations

### File Management
- Always read existing files before modifying
- Prefer editing existing files over creating new ones
- Use absolute paths for file operations
- Follow established naming conventions

## Quality Assurance
- Verify all information before presenting
- Check code syntax and logic
- Validate markdown formatting
- Ensure compliance with project standards