# Documentation Template

## Instructions
When creating documentation, follow these standards:

### Document Structure
- Title with version number
- Table of contents for documents > 500 words
- Metadata section with author, date, status
- Clear section hierarchy using ## and ###
- Definitions section for technical terms
- References section for citations

### Formatting Standards
- Use proper Markdown syntax
- Include code blocks with language specification
- Create tables for structured comparisons
- Use bullet points for lists
- Apply bold/italic formatting for emphasis

### Content Requirements
- Provide accurate, factual information
- Include citations for all claims
- Use appropriate technical language for audience
- Include practical examples
- Add troubleshooting sections where relevant

### Document Template
```markdown
# [Document Title] v1.0.0

## Table of Contents
- [Section 1](#section-1)
- [Section 2](#section-2)

## Metadata
- **Version**: 1.0.0
- **Last Updated**: YYYY-MM-DD
- **Author**: [Author Name]
- **Status**: [Draft|Review|Final]

## Section 1
Content here...

## Definitions
| Term | Definition |
|------|------------|
| [Term] | [Definition] |

## References
1. [Citation format]

## Version History
| Date | Version | Changes |
|------|---------|---------|
| YYYY-MM-DD | v1.0.0 | Initial creation |
```

### Quality Checklist
- [ ] Proper markdown syntax
- [ ] All technical terms defined
- [ ] Citations included
- [ ] Examples provided
- [ ] Version information complete
- [ ] Proofread for accuracy